module Core.Handlers where

import qualified Core.Configuration     as Conf
import qualified Core.Rendering         as R
import qualified Templates.Base         as T

import Control.Monad.IO.Class (liftIO)
import Web.Twain

index :: ResponderM a
index = liftIO Conf.appTitle >>= (\title -> 
  send $ html $ R.twain $
  T.baseDoc title T.baseNav)

testRoute :: ResponderM a
testRoute = do
  testParam <- param "testParam"
  send $ status status202 $ html $ "Testing echo parameter: " <> testParam

missing :: ResponderM a
missing = send $ html "404 NOT FOUND"
